## org.apache.cassandra.io.sstable
Class SSTableMetadata.Collector

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableMetadata.Collector

Enclosing class:
  SSTableMetadata

    public static class SSTableMetadata.Collector

extends java.lang.Object

Field Summary
`protected EstimatedHistogram` `estimatedColumnCount`
`protected EstimatedHistogram` `estimatedRowSize`
`protected long` `maxTimestamp`
`protected ReplayPosition` `replayPosition`

Method Summary
`void` `addColumnCount(long columnCount)`
`void` `addRowSize(long rowSize)`
`SSTableMetadata.Collector` `estimatedColumnCount(EstimatedHistogram estimatedColumnCount)`
`SSTableMetadata.Collector` `estimatedRowSize(EstimatedHistogram estimatedRowSize)`
`SSTableMetadata` `finalizeMetadata()`
`SSTableMetadata.Collector` `replayPosition(ReplayPosition replayPosition)`
`void` `updateMaxTimestamp(long potentialMax)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### estimatedRowSize

    protected EstimatedHistogram estimatedRowSize

### estimatedColumnCount

    protected EstimatedHistogram estimatedColumnCount

### replayPosition

    protected ReplayPosition replayPosition

### maxTimestamp

    protected long maxTimestamp

Method Detail

### addRowSize

    public void addRowSize(long rowSize)

### addColumnCount

    public void addColumnCount(long columnCount)

### updateMaxTimestamp

    public void updateMaxTimestamp(long potentialMax)

### finalizeMetadata

    public SSTableMetadata finalizeMetadata()

### estimatedRowSize

    public SSTableMetadata.Collector estimatedRowSize(EstimatedHistogram estimatedRowSize)

### estimatedColumnCount

    public SSTableMetadata.Collector estimatedColumnCount(EstimatedHistogram estimatedColumnCount)

### replayPosition

    public SSTableMetadata.Collector replayPosition(ReplayPosition replayPosition)

Copyright © 2011 The Apache Software Foundation